### org.jfree.layouting.layouter.style.resolver

# Interface StyleResolver

All Superinterfaces:
  StatefullComponent

Known Implementing Classes:
  AbstractStyleResolver, DefaultStyleResolver, FlatStyleResolver

`public interface StyleResolver`
`extends StatefullComponent`

Creation-Date: 05.12.2005, 18:03:52

Author:
  Thomas Morgner

  ## Method Summary

  `LayoutContext`

  `createAnonymousContext(ContextId id, LayoutContext parent)`

  `StyleResolver`

  `deriveInstance()`

  `LayoutStyle`

  `getInitialStyle()`

  `void`

  `initialize(LayoutProcess layoutProcess)`

  `boolean`

  `isPseudoElementStyleResolvable(LayoutElement element, String pseudo)`
    Performs tests, whether there is a pseudo-element definition for the given element.

  `LayoutStyle`

  `resolvePageStyle(CSSValue pageName, PseudoPage[] pseudoPages, PageAreaType pageArea)`

  `void`

  `resolveStyle(LayoutElement element)`
    Resolves the style.

  ### Methods inherited from interface org.jfree.layouting.StatefullComponent

  `saveState`

## Method Details

### createAnonymousContext

    public LayoutContext createAnonymousContext(ContextId id,
                                                LayoutContext parent)

### deriveInstance

    public StyleResolver deriveInstance()

### getInitialStyle

    public LayoutStyle getInitialStyle()

### initialize

    public void initialize(LayoutProcess layoutProcess)

### isPseudoElementStyleResolvable

    public boolean isPseudoElementStyleResolvable(LayoutElement element,
                                                  String pseudo)

> Performs tests, whether there is a pseudo-element definition for the given element. The element itself can be a pseudo-element as well.
> Parameters:
>   `element` -
>   `pseudo` -
> Returns:

### resolvePageStyle

    public LayoutStyle resolvePageStyle(CSSValue pageName,
                                        PseudoPage[] pseudoPages,
                                        PageAreaType pageArea)

### resolveStyle

    public void resolveStyle(LayoutElement element)

> Resolves the style. This is guaranteed to be called in the order of the document elements traversing the document tree using the 'deepest-node-first' strategy.
> Parameters:
>   `element` -